/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <June 04, 2026> */

/**/
	/*fonts*/

	/*btns*/

/*Modal*/
/* Header */
	/**/
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151;
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, #000000b3);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}

body[data-page-name="index"] #navigation {
    position: absolute;
}

.cta-btn {
    background: var(--color-primary-background);
}

.cta-btn:hover {
    border-color: var(--color-primary-background);
    color: #374151;
}
/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
#hp-slider .swiper-pagination-bullet {
    background-color: white;
}
.slider-info {
    min-height: fit-content;
}
/* CTA */
	/**/
/* Welcome */
	/**/.module-welcome.style-5 .ry-each.image-wrapper {
    border: none;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo img {
    object-fit: contain;
}

.module-welcome.style-5 .ry-flex {
    align-items: center;
}
/* Services */
	/**/.ry-services.style2 .ry-each .photo:before {
    background: var(--color-primary-background);
}

.ry-services.style2 .ry-each:nth-child(1) .each-block:nth-child(1) .photo:before, .ry-services.style2 .ry-each:nth-child(2) .each-block:nth-child(2) .photo:before, .ry-services.style2 .ry-each:nth-child(3) .each-block:nth-child(1) .photo:before {
    background: var(--color-secondary-background);
}

.ry-services.style2 .ry-each .photo img {
    z-index: 2;
    filter: invert(1);
    height: 50%;
    width: 50%;
    left: 25%;
    top: 10%;
}

/* Meet the Team */
	/**/
/* Insurance */
	/**/
/* Brand */
	/**/

#hp-brands-6 .overflow-hidden {
    padding: 0;
}

#hp-brands-6 .swiper-slide {
    background: none;
}
/* Request Appointment */
	/**/
/* Testimonials */
	/**/
/* Footer */
	/**/
/*Media Queries*/
	/**/


@media (min-width: 768px) {
    .slider-info-left-bottom {
        bottom: 5%;
    }
}
@media (max-width:1024px){
    body[data-page-name="index"] #navigation {
        position: relative;
    }
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
}
@media (max-width:1080px){
    .ry-services.style2 .each-block .photo:before {
        background: var(--color-primary-background);
        height: 100%;
    }
    
    .ry-services.style2 .each-block:nth-child(odd) .photo:before {
        background: var(--color-secondary-background);
    }
    
    .ry-services.style2 .each-block .photo img {
        z-index: 2;
        filter: invert(1);
        height: 50%;
        width: 50%;
        left: 25%;
        top: 10%;
    }
}

/* This code is used in the HP CTA so they are all one line in laptop view */
@media (min-width: 1024px) {
  .cta-wrapper .cta-section.style-1 {
    width: calc(25% - 30px);
  }
}
/* End - HP Edits*/

body[data-page-name="contact"] #footer-map {
	display: none;
}

body[data-page-name="contact"] #ry-footer-3 {
	padding-top: 220px;
}

.ry-services.style2 .ry-each .each-block:hover .photo img {
opacity:.3
}
.ry-services.style2 .ry-each .photo::after {
opacity:1 !important;
    background:#000000

}
.ry-services.style2 .ry-each .button-svg {
z-index:3
}


.ry-services.style2 .ry-each .each-block *,
.ry-services.style2 .each-block .title div {
    line-height:1.2
}

@media (max-width: 1080px) {
    .ry-services.style2 .each-block .title {
        bottom:70px
    }
}


@media(max-width:600px) {
.snap-mobile-menu .gap-6 {
	gap: 10px;
}

.snap-mobile-menu .gap-4 {
	gap:6PX
}

.snap-mobile-menu {
    background:#fff
}
.snap-mobile-menu .snap-mobile-menu {
    padding-inline:0;
    gap:20px
}
.snap-mobile-menu img {
    filter:unset
}
mm-burger {
    color:#000
}

.module-welcome.style-5 .ry-each.image-wrapper .photo{
    padding:0 !important;
    height:100% 
}

.module-welcome.style-5 .ry-each.image-wrapper .photo img {
    position:relative;
    height:100%;
    inset:0
}}